/outgoing_webhook

Create outgoing webhook

Creates an outgoing webhook.

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Body Parameters

NameTypeRequiredDescription
outgoing_webhookapp.OutgoingWebhookYesOutgoing webhook

Parameter Models

Inspect object parameters and nested model references without loading the full Swagger file in the browser.

outgoing_webhookBody parameterapp.OutgoingWebhook
active
boolean
No description.
additional_headers
No description.
authorization
string
No description.
authorization_type
No description.
created_at
integer
No description.
created_by
integer
No description.
events
No description.
id
integer
No description.
modified_at
integer
No description.
name
string
No description.
url
string
No description.
cURL
curl -X POST 'https://<tenant>.dieagenturverwaltung.de/api/v2/outgoing_webhook' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "active": true,
  "additional_headers": {},
  "authorization": "string",
  "authorization_type": "bearer",
  "created_at": 123,
  "created_by": 123,
  "events": [
    {}
  ],
  "id": 123,
  "modified_at": 123,
  "name": "string",
  "url": "string"
}'
Request Body (application/json)
{
  "active": true,
  "additional_headers": {...},
  "authorization": "string",
  "authorization_type": "bearer",
  "created_at": 123,
  "created_by": 123,
  "events": [
    {...}
  ],
  "id": 123,
  "modified_at": 123,
  "name": "string",
  "url": "string"
}

Responses

201Created
app.OutgoingWebhookapplication/json
Example
{
  "active": true,
  "additional_headers": {...},
  "authorization": "string",
  "authorization_type": "bearer",
  "created_at": 123,
  "created_by": 123,
  "events": [
    {...}
  ],
  "id": 123,
  "modified_at": 123,
  "name": "string",
  "url": "string"
}
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
401Unauthorized
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
403Forbidden
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}